import request from '@/utils/request'

// 查询登录日志列表
export function list(query) {
  return request({
    url: '/monitor/loginInfo/list',
    method: 'get',
    params: query
  })
}

// 删除登录日志
export function delLogininfo(infoId) {
  return request({
    url: '/authority/monitor/logininfo/' + infoId,
    method: 'delete'
  })
}

// 清空登录日志
export function cleanLogininfo() {
  return request({
    url: '/authority/monitor/logininfo/clean',
    method: 'delete'
  })
}

// 导出登录日志
export function exportLogininfo(query) {
  return request({
    url: '/authority/monitor/logininfo/export',
    method: 'get',
    params: query
  })
}

